Taifa Identity. Docs
OpenAPI Developers

API reference

Operations

Management API contract View .md

4 management API operations for Operations.

GET/v1/operations/diagnostics

Diagnostics

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

GET/v1/projects/{project_id}/diagnostics

Project Diagnostics

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/diagnostics/clients/{environment_id}

Check Client

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
environment_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredClientCheck

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/jobs/{job_id}/review

Review Job

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
job_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredJobReview

FieldTypeRequiredDescription
expected_statusfailed | ambiguousYes
actionretry | reconcileYes
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section